Imagick::setImageColormapColor
Imagick::setImageCompose
Imagick
PHP Manual

# Imagick::setImageColorspace

(PECL imagick 2.0.0)

Imagick::setImageColorspace — Sets the image colorspace

### Description

bool Imagick::setImageColorspace ( int `$colorspace` )

Sets the image colorspace. This method should be used when creating new images. To change the colorspace of an existing image, you should use Imagick::transformImageColorspace().

### Parameters

`colorspace`

  One of the COLORSPACE constants

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::setImageColormapColor
Imagick::setImageCompose
Imagick
PHP Manual